// gnome.xonotic.in.ua

models/mapobjects/copcar/copcar_body
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/copcar/copcar_body.tga
	}
}

models/mapobjects/copcar/copcar_windsheild
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/copcar/copcar_windsheild.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcgen environment
	}
}

models/mapobjects/lowlow/lowlow_steering
{
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/lowlow/lowlow_steering.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/lowlow/lowlow_windsheild
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/lowlow/lowlow_windsheild.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcgen environment
	}
}

models/mapobjects/spotlight/sl_beem
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nomipmaps
	{
		map models/mapobjects/spotlight/sl_beem.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/spotlight/sl_body
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/spotlight/sl_body.tga
		alphafunc ge128
		depthwrite
	}
}

models/mapobjects/spotlight/sl_light
{
	cull disable
	{
		map models/mapobjects/spotlight/sl_light.tga
		rgbgen identity
	}
}

textures/chronic_lights/gell_whitedim
{
	qer_trans .5
	qer_editorimage textures/chronic_lights/gell_white.tga
	q3map_lightimage textures/chronic_lights/gell_white.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	q3map_surfacelight 50
	{
		map textures/chronic_sfx/clear.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/chronic_lights/light_lightpole
{
	qer_editorimage textures/chronic_lights/light_lightpole.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_lights/light_lightpole.tga
		blendfunc gl_dst_color gl_zero
		alphagen lightingspecular
		rgbgen identity
	}
	{
		map textures/chronic_lights/light_lightpole.tga
		blendfunc add
	}
}

textures/chronic_metal/metal_barrelside
{
	qer_editorimage textures/chronic_metal/metal_barrelside.tga
	cull none
	{
		map textures/chronic_metal/metal_barrelside.tga
		blendfunc gl_one gl_zero
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chronic_metal/metal_fireescape
{
	q3map_lightimage textures/chronic_metal/metal_fireescape.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm metalsteps
	cull none
	{
		map textures/chronic_metal/metal_fireescape.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chronic_metal/metal_girder
{
	q3map_lightimage textures/chronic_metal/metal_girder.tga
	surfaceparm trans
	surfaceparm metalsteps
	cull none
	{
		map textures/chronic_metal/metal_girder.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chronic_sfx/chronic_nightsky
{
	qer_editorimage textures/chronic_sfx/nightsky_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 10
	q3map_sun .6 .6 .6 30 35 78
	skyparms env/nightsky - -
}

textures/chronic_sfx/neonred_blink
{
	qer_editorimage textures/chronic_sfx/neon_red.tga
	q3map_lightimage textures/chronic_sfx/neon_red.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200
	{
		map textures/chronic_sfx/neon_red.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/chronic_sfx/neon_red.tga
		blendfunc blend
		rgbgen wave square 1.0 .5 0 1
	}
}

textures/chronic_sfx/sfx_fire
{
	qer_editorimage textures/chronic_sfx/sfx_fire01.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	{
		animmap 10 textures/chronic_sfx/sfx_fire01.tga textures/chronic_sfx/sfx_fire02.tga textures/chronic_sfx/sfx_fire03.tga textures/chronic_sfx/sfx_fire04.tga textures/chronic_sfx/sfx_fire05.tga textures/chronic_sfx/sfx_fire06.tga textures/chronic_sfx/sfx_fire07.tga textures/chronic_sfx/sfx_fire08.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/chronic_sfx/sfx_fire01.tga textures/chronic_sfx/sfx_fire02.tga textures/chronic_sfx/sfx_fire03.tga textures/chronic_sfx/sfx_fire04.tga textures/chronic_sfx/sfx_fire05.tga textures/chronic_sfx/sfx_fire06.tga textures/chronic_sfx/sfx_fire07.tga textures/chronic_sfx/sfx_fire08.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/chronic_sfx/sfx_flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/chronic_sfx/sfx_glass_2sided
{
	qer_editorimage textures/meat_tags/tag_glass.tga
	qer_trans 0.500000
	surfaceparm nolightmap
	surfaceparm weaponclip
	surfaceparm playerclip
	surfaceparm trans
	cull disable
	{
		map textures/chronic_sfx/glass_reflection.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcgen environment
	}
}

textures/chronic_signs/sign_banner
{
	q3map_lightimage textures/chronic_signs/sign_banner.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	cull none
	{
		map textures/chronic_signs/sign_banner.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chronic_signs/sign_feature
{
	qer_editorimage textures/chronic_signs/sign_feature.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_signs/sign_feature.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_signs/sign_feature_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_signs/signs_deadend
{
	qer_editorimage textures/chronic_signs/signs_deadend.tga
	qer_trans .5
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	{
		map textures/chronic_signs/signs_deadend.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/chronic_signs/signs_dontwalk
{
	qer_editorimage textures/chronic_signs/signs_dontwalk.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .1 textures/chronic_signs/signs_dontwalk.tga textures/chronic_signs/signs_walk.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .1 textures/chronic_signs/signs_dontwalk.tga textures/chronic_signs/signs_walk.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_signs/sign_streetlight_green
{
	qer_editorimage textures/chronic_signs/sign_streetlight_green.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .2 textures/chronic_signs/sign_streetlight_green.tga textures/chronic_signs/sign_streetlight_yellow.tga textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .2 textures/chronic_signs/sign_streetlight_green.tga textures/chronic_signs/sign_streetlight_yellow.tga textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_red.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_signs/sign_streetlight_red
{
	qer_editorimage textures/chronic_signs/sign_streetlight_red.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .2 textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_green.tga textures/chronic_signs/sign_streetlight_yellow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .2 textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_red.tga textures/chronic_signs/sign_streetlight_green.tga textures/chronic_signs/sign_streetlight_yellow.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_signs/signs_walk
{
	qer_editorimage textures/chronic_signs/signs_walk.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		animmap .1 textures/chronic_signs/signs_walk.tga textures/chronic_signs/signs_dontwalk.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		animmap .1 textures/chronic_signs/signs_walk.tga textures/chronic_signs/signs_dontwalk.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_signs/sign_telephone
{
	qer_editorimage textures/chronic_signs/sign_telephone.tga
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_signs/sign_telephone.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_signs/sign_telephone.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingbig_01
{
	qer_editorimage chronic_windows/window_buildingbig_01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingbig_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingbig_01_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingside_03
{
	qer_editorimage chronic_windows/window_buildingside_03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_03_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingside_06
{
	qer_editorimage chronic_windows/window_buildingside_06.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_06.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_06_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingside_07
{
	qer_editorimage chronic_windows/window_buildingside_07.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_07.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingside_07_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingsmall_02
{
	qer_editorimage chronic_windows/window_buildingsmall_02.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingsmall_02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingsmall_02_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/chronic_windows/window_buildingsmall_03
{
	qer_editorimage chronic_windows/window_buildingsmall_03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingsmall_03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/chronic_windows/window_buildingsmall_03_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/meat_tags/tag_caulk
{
	qer_trans 0.3
	qer_editorimage textures/meat_tags/tag_caulk.tga
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/meat_tags/tag_hint
{
	qer_trans 0.40
	qer_editorimage textures/meat_tags/tag_hint.tga
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/meat_tags/tag_nodraw
{
	qer_trans .3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/meat_tags/tag_trigger
{
	qer_trans 0.3
	qer_editorimage textures/meat_tags/tag_trigger.tga
	qer_nocarve
	surfaceparm nodraw
}

